## ros-rolling-srdfdom 2.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(srdfdom LANGUAGES CXX)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(Boost REQUIRED)
find_package(console_bridge REQUIRED)
find_package(urdfdom_headers REQUIRED)
find_package(ament_cmake REQUIRED)
find_package(urdf REQUIRED)
find_package(tinyxml2_vendor REQUIRED)

# Made available by the vendor package
find_package(TinyXML2 REQUIRED)

# Set VERSION from package.xml
ament_package_xml()

add_library(${PROJECT_NAME} SHARED
  src/model.cpp
  src/srdf_writer.cpp
)
set_target_properties(${PROJECT_NAME} PROPERTIES
  VERSION ${${PROJECT_NAME}_VERSION})

target_include_directories(${PROJECT_NAME}
    PUBLIC $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
           $<INSTALL_INTERFACE:include>)
# Ament dependencies
ament_target_dependencies(${PROJECT_NAME} PUBLIC
  TinyXML2
  console_bridge
  urdf
  urdfdom_headers
)

install(TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}Targets
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
  FILES_MATCHING PATTERN "*.h"
)

install(PROGRAMS
  scripts/display_srdf
  DESTINATION lib/${PROJECT_NAME}
)

set_target_properties(${PROJECT_NAME} PROPERTIES WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
target_compile_definitions(${PROJECT_NAME} PRIVATE "SRDFDOM_BUILDING_DLL")

ament_python_install_package(${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_cmake_pytest REQUIRED)
  ament_add_pytest_test(self_parser_test "test/test.py")

  add_definitions(-DTEST_RESOURCE_LOCATION="${CMAKE_SOURCE_DIR}/test/resources")
  execute_process(COMMAND bash -c "locale -a | grep -q ^en_US"
    RESULT_VARIABLE TEST_LOCALE
    OUTPUT_QUIET ERROR_QUIET)
  if(TEST_LOCALE)
    message(STATUS "Locale nl_NL not available. Locale test will not be meaningful.")
  endif()

  foreach(LOCALE IN ITEMS C nl_NL.UTF-8)
    ament_add_gtest(test_cpp_${LOCALE} test/test_parser.cpp ENV LC_ALL=${LOCALE})
    target_link_libraries(test_cpp_${LOCALE} ${PROJECT_NAME})
  endforeach()

  # ament_lint
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_export_targets(${PROJECT_NAME}Targets HAS_LIBRARY_TARGET)
ament_export_dependencies(console_bridge)
ament_export_dependencies(urdfdom_headers)
ament_export_dependencies(urdf)
ament_export_dependencies(tinyxml2_vendor)
ament_export_dependencies(TinyXML2)
ament_package()

=== debian/changelog ===
ros-rolling-srdfdom (2.0.3-1focal) focal; urgency=high

  * Use modern cmake (#96 <https://github.com/ros-planning/srdfdom/issues/96>)
  * Fix unit tests & setup.py file (#94 <https://github.com/ros-planning/srdfdom/issues/94>)
  * Fix use of tinyxml2_vendor (#95 <https://github.com/ros-planning/srdfdom/issues/95>)
  * Fixes for usage on windows (#91 <https://github.com/ros-planning/srdfdom/issues/91>)
  * Contributors: Akash, Jafar Abdi, Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 26 Sep 2021 21:00:00 -0000

ros-rolling-srdfdom (2.0.2-1focal) focal; urgency=high

  * Support rolling CI (#85 <https://github.com/ros-planning/srdfdom/issues/85>)
  * Contributors: Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 23 May 2021 21:00:00 -0000

ros-rolling-srdfdom (2.0.1-1focal) focal; urgency=high

  * SRDFWriter: Add functionality to generate xml for the joint properties
  * Add a new JointProperties xml tag
  * Add diff_drive type to virtual joints
  * [fix] export cmake library install (#76 <https://github.com/ros-planning/srdfdom/issues/76>)
  * Contributors: David V. Lu, Jafar Abdi, Mark Moll, Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Thu, 08 Apr 2021 21:00:00 -0000

ros-rolling-srdfdom (2.0.0-1focal) focal; urgency=high

  * [fix] Conflicting upstream dependency console_bridge
    * Add console_bridge libs with ament_target_dependencies (#59 <https://github.com/ros-planning/srdfdom/issues/59>)
    * Use console_bridge_vendor dependency wrapper (#61 <https://github.com/ros-planning/srdfdom/issues/61>)
  * [maint] Inherit package VERSION from package.xml (#74 <https://github.com/ros-planning/srdfdom/issues/74>)
  * [maint] Symbol visibility for Windows support (#69 <https://github.com/ros-planning/srdfdom/issues/69>)
  * [maint] Proper exporting of TinyXML2 library to dependent ament packages (#54 <https://github.com/ros-planning/srdfdom/issues/54>)
  * [ros2-migration] Port to ROS 2 (#52 <https://github.com/ros-planning/srdfdom/issues/52>)
    * Apply initial port by AcutronicsRobotics (AcutronicRobotics:srdfdom#1 <https://github.com/AcutronicRobotics/srdfdom/issues/1>, AcutronicRobotics:srdfdom#2 <https://github.com/AcutronicRobotics/srdfdom/issues/2>, AcutronicRobotics:srdfdom#3 <https://github.com/AcutronicRobotics/srdfdom/issues/3>, AcutronicRobotics:srdfdom#4 <https://github.com/AcutronicRobotics/srdfdom/issues/4>)
    * Enable Travis CI
  * Contributors: Alejandro Hernandez Cordero, Anas Mchichou El Harrak, Henning Kayser, Hunter L. Allen, Josh Langsfeld, Lior Lustgarten, Patrick Beeson, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 22 Nov 2020 21:00:00 -0000

ros-rolling-srdfdom (0.6.2-1focal) focal; urgency=high

  * [bugfix] Correctly return success in SRDFWriter::writeSRDF().
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 08 Sep 2020 21:00:00 -0000

ros-rolling-srdfdom (0.6.1-1focal) focal; urgency=high

  * [bugfix] SRDFWriter: Correctly populate XML document
  * [bugfix] SRDFWriter: Use locale independent conversion from double to string (#67 <https://github.com/ros-planning/srdfdom/issues/67>)
  * [maint]  Silence cmake warning
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sat, 05 Sep 2020 21:00:00 -0000

ros-rolling-srdfdom (0.6.0-1focal) focal; urgency=high

  * [maint] Switch from TinyXML to TinyXML2 (#60 <https://github.com/ros-planning/srdfdom/issues/60>)
  * [maint] add soname to library (#63 <https://github.com/ros-planning/srdfdom/issues/63>)
  * Contributors: Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 18 Aug 2020 21:00:00 -0000

ros-rolling-srdfdom (0.5.2-1focal) focal; urgency=high

  * [maint]  Modernize Travis config (#57 <https://github.com/ros-planning/srdfdom/issues/57>)
  * [maint]  Modernize package.xml
  * [maint]  Modernize python (python2 / python3 compatibility)
  * [maint]  Modernize cmake and setup.py
  * [maint]  Fix unittest
  * [maint]  Use [[deprecated]] for better portability (#47 <https://github.com/ros-planning/srdfdom/issues/47>)
  * [maint]  Travis: enable ccache
  * [maint]  Fix catkin_lint issues
  * [maint]  Format code with clang-format (#42 <https://github.com/ros-planning/srdfdom/issues/42>, #43 <https://github.com/ros-planning/srdfdom/issues/43>)
  * [bugfix] Parse group's robot states with C locale (#44 <https://github.com/ros-planning/srdfdom/issues/44>)
  * [bugfix] Trigger error in case of SRDF syntax error (#41 <https://github.com/ros-planning/srdfdom/issues/41>)
  * Contributors: Alejandro Hernández Cordero, Dave Coleman, Jonathan Binney, Michael Görner, Robert Haschke, Sean Yen, Simon Schmeisser, kkufieta

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 29 Jun 2020 21:00:00 -0000

ros-rolling-srdfdom (0.5.0-1focal) focal; urgency=high

  * Switch to std::shared_ptr of C++11 (#36 <https://github.com/ros-planning/srdfdom/issues/36>)
  * Change log{Error,Warn} -> CONSOLE_BRIDGE_log{Error,Warn} (#37 <https://github.com/ros-planning/srdfdom/issues/37>)
  * Contributors: Chris Lalancette, Ian McMahon

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 23 Apr 2018 21:00:00 -0000

ros-rolling-srdfdom (0.4.2-1focal) focal; urgency=high

  * [fix] gcc6 build error #28 <https://github.com/ros-planning/srdfdom/issues/28>
  * [fix] Compile with -std=c++11 (#29 <https://github.com/ros-planning/srdfdom/issues/29>)
  * [enhancement] cleanup urdfdom compatibility (#27 <https://github.com/ros-planning/srdfdom/issues/27>)
  * Contributors: Dmitry Rozhkov, Isaac I.Y. Saito, Robert Haschke, Victor Matare

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 29 Jan 2017 21:00:00 -0000

ros-rolling-srdfdom (0.4.1-1focal) focal; urgency=high



=== debian/control ===
Source: ros-rolling-srdfdom
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libconsole-bridge-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-pytest, ros-rolling-ament-cmake-python, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-cmake, ros-rolling-console-bridge-vendor, ros-rolling-tinyxml2-vendor, ros-rolling-urdf, ros-rolling-urdfdom-headers, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/srdfdom
Standards-Version: 3.9.2

Package: ros-rolling-srdfdom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, ros-rolling-console-bridge-vendor, ros-rolling-tinyxml2-vendor, ros-rolling-urdf, ros-rolling-urdfdom-py, ros-rolling-ros-workspace
Description: Parser for Semantic Robot Description Format (SRDF).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-srdfdom//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-srdfdom 2.0.4

=== debian/changelog ===
ros-rolling-srdfdom (2.0.4-2jammy) jammy; urgency=high

  * Parse <disable_default_collisions> and <enable_collisions> tags (#101, from #97)
  * Fix Windows .dll install location (#98)
  * Contributors: Robert Haschke, Abishalini Sivaraman, Akash, Henning Kayser

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 09 May 2022 07:00:00 -0000

ros-rolling-srdfdom (2.0.3-2jammy) jammy; urgency=high

  * Use modern cmake (#96 <https://github.com/ros-planning/srdfdom/issues/96>)
  * Fix unit tests & setup.py file (#94 <https://github.com/ros-planning/srdfdom/issues/94>)
  * Fix use of tinyxml2_vendor (#95 <https://github.com/ros-planning/srdfdom/issues/95>)
  * Fixes for usage on windows (#91 <https://github.com/ros-planning/srdfdom/issues/91>)
  * Contributors: Akash, Jafar Abdi, Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 27 Sep 2021 07:00:00 -0000

ros-rolling-srdfdom (2.0.2-2jammy) jammy; urgency=high

  * Support rolling CI (#85 <https://github.com/ros-planning/srdfdom/issues/85>)
  * Contributors: Vatan Aksoy Tezer

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 24 May 2021 07:00:00 -0000

ros-rolling-srdfdom (2.0.1-2jammy) jammy; urgency=high

  * SRDFWriter: Add functionality to generate xml for the joint properties
  * Add a new JointProperties xml tag
  * Add diff_drive type to virtual joints
  * [fix] export cmake library install (#76 <https://github.com/ros-planning/srdfdom/issues/76>)
  * Contributors: David V. Lu, Jafar Abdi, Mark Moll, Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Fri, 09 Apr 2021 07:00:00 -0000

ros-rolling-srdfdom (2.0.0-2jammy) jammy; urgency=high

  * [fix] Conflicting upstream dependency console_bridge
    * Add console_bridge libs with ament_target_dependencies (#59 <https://github.com/ros-planning/srdfdom/issues/59>)
    * Use console_bridge_vendor dependency wrapper (#61 <https://github.com/ros-planning/srdfdom/issues/61>)
  * [maint] Inherit package VERSION from package.xml (#74 <https://github.com/ros-planning/srdfdom/issues/74>)
  * [maint] Symbol visibility for Windows support (#69 <https://github.com/ros-planning/srdfdom/issues/69>)
  * [maint] Proper exporting of TinyXML2 library to dependent ament packages (#54 <https://github.com/ros-planning/srdfdom/issues/54>)
  * [ros2-migration] Port to ROS 2 (#52 <https://github.com/ros-planning/srdfdom/issues/52>)
    * Apply initial port by AcutronicsRobotics (AcutronicRobotics:srdfdom#1 <https://github.com/AcutronicRobotics/srdfdom/issues/1>, AcutronicRobotics:srdfdom#2 <https://github.com/AcutronicRobotics/srdfdom/issues/2>, AcutronicRobotics:srdfdom#3 <https://github.com/AcutronicRobotics/srdfdom/issues/3>, AcutronicRobotics:srdfdom#4 <https://github.com/AcutronicRobotics/srdfdom/issues/4>)
    * Enable Travis CI
  * Contributors: Alejandro Hernandez Cordero, Anas Mchichou El Harrak, Henning Kayser, Hunter L. Allen, Josh Langsfeld, Lior Lustgarten, Patrick Beeson, Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Mon, 23 Nov 2020 08:00:00 -0000

ros-rolling-srdfdom (0.6.2-2jammy) jammy; urgency=high

  * [bugfix] Correctly return success in SRDFWriter::writeSRDF().
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 09 Sep 2020 07:00:00 -0000

ros-rolling-srdfdom (0.6.1-2jammy) jammy; urgency=high

  * [bugfix] SRDFWriter: Correctly populate XML document
  * [bugfix] SRDFWriter: Use locale independent conversion from double to string (#67 <https://github.com/ros-planning/srdfdom/issues/67>)
  * [maint]  Silence cmake warning
  * Contributors: Robert Haschke

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Sun, 06 Sep 2020 07:00:00 -0000

ros-rolling-srdfdom (0.6.0-2jammy) jammy; urgency=high

  * [maint] Switch from TinyXML to TinyXML2 (#60 <https://github.com/ros-planning/srdfdom/issues/60>)
  * [maint] add soname to library (#63 <https://github.com/ros-planning/srdfdom/issues/63>)
  * Contributors: Robert Haschke, Tyler Weaver

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Wed, 19 Aug 2020 07:00:00 -0000

ros-rolling-srdfdom (0.5.2-2jammy) jammy; urgency=high

  * [maint]  Modernize Travis config (#57 <https://github.com/ros-planning/srdfdom/issues/57>)
  * [maint]  Modernize package.xml
  * [maint]  Modernize python (python2 / python3 compatibility)
  * [maint]  Modernize cmake and setup.py
  * [maint]  Fix unittest
  * [maint]  Use [[deprecated]] for better portability (#47 <https://github.com/ros-planning/srdfdom/issues/47>)
  * [maint]  Travis: enable ccache
  * [maint]  Fix catkin_lint issues
  * [maint]  Format code with clang-format (#42 <https://github.com/ros-planning/srdfdom/issues/42>, #43 <https://github.com/ros-planning/srdfdom/issues/43>)
  * [bugfix] Parse group's robot states with C locale (#44 <https://github.com/ros-planning/srdfdom/issues/44>)
  * [bugfix] Trigger error in case of SRDF syntax error (#41 <https://github.com/ros-planning/srdfdom/issues/41>)
  * Contributors: Alejandro Hernández Cordero, Dave Coleman, Jonathan Binney, Michael Görner, Robert Haschke, Sean Yen, Simon Schmeisser, kkufieta

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 30 Jun 2020 07:00:00 -0000

ros-rolling-srdfdom (0.5.0-2jammy) jammy; urgency=high

  * Switch to std::shared_ptr of C++11 (#36 <https://github.com/ros-planning/srdfdom/issues/36>)
  * Change log{Error,Warn} -> CONSOLE_BRIDGE_log{Error,Warn} (#37 <https://github.com/ros-planning/srdfdom/issues/37>)
  * Contributors: Chris Lalancette, Ian McMahon

 -- MoveIt Release Team <moveit_releasers@googlegroups.com>  Tue, 24 Apr 2018 07:00:00 -0000

ros-rolling-srdfdom (0.4.2-2jammy) jammy; urgency=high

  * [fix] gcc6 build error #28 <https://github.com/ros-planning/srdfdom/issues/28>
  * [fix] Compile with -std=c++11 (#29 <https://github.com/ros-planning/srdfdom/issues/29>)


=== debian/control ===
Source: ros-rolling-srdfdom
Section: misc
Priority: optional
Maintainer: MoveIt Release Team <moveit_releasers@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libconsole-bridge-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-cmake-python, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-cmake <!nocheck>, ros-rolling-console-bridge-vendor, ros-rolling-tinyxml2-vendor, ros-rolling-urdf, ros-rolling-urdfdom-headers, ros-rolling-ros-workspace
Homepage: http://ros.org/wiki/srdfdom
Standards-Version: 3.9.2

Package: ros-rolling-srdfdom
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libconsole-bridge-dev, ros-rolling-console-bridge-vendor, ros-rolling-tinyxml2-vendor, ros-rolling-urdf, ros-rolling-urdfdom-py, ros-rolling-ros-workspace
Description: Parser for Semantic Robot Description Format (SRDF).

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
